---
title: "Create Order"
slug: "creates-an-order"
updated: 2025-06-04T18:54:25Z
published: 2025-06-04T18:54:25Z
canonical: "developer.upgrade.com/creates-an-order"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://developer.upgrade.com/llms.txt
> Use this file to discover all available pages before exploring further.
# Create Order
Post/v1/orders
Used to create different order types. Look at the order_items array for the different types of orders.
SecurityHTTPType bearer
Body parametersExpand Allobject
Order details.
addOns Array of object
List of addons.
object externalIdstring
Unique addon identifier.
namestring
Addon name.
pricestring
Addon price in dollar format.
Example100.13
billingContactobject (BillingContact) citystring
Billing contact city.
ExampleNew York City
countrystring
Billing contact country.
Valid values[
"\"US\"",
"\"CA\""
]
dateOfBirthstring (date)
Billing contact date of birth in YYYY-MM-DD format.
Example1996-10-21
emailstring
Billing contact email.
Examplesample@flexpay.com
firstNamestring
Billing contact first name.
ExampleArthur
lastNamestring
Billing contact last name.
ExampleDavis
middleNamestring
Billing contact middle name.
ExampleMiddle
phonestring
Billing contact phone number.
Example5555551444
postalCodestring
Billing contact numerical (US)/alpha-numerical (CA) postal or zip code.
Example99999
regionstring
Billing contact state/province in standard 2-letter format.
ExampleKY
streetAddressstring
Billing contact street address.
Example1013 Weda Cir
titlestring
Billing contact title.
Valid values[
"\"DR\"",
"\"MISS\"",
"\"MR\"",
"\"MRS\"",
"\"MS\""
]
merchantConfigobject (MerchantConfig) Required
Contains merchant specific configurations
cancelUrlstring Required
The merchant cancel URL to redirect to if the application is unsuccessful.
confirmationUrlstring Required
The merchant confirmation URL to redirect to after the application is completed through the Uplift domain.
confirmationIdstring | null
Confirmation ID for the order
channelstring
Request channel.
Valid values[
"\"APP\"",
"\"MOBILE_WEB\"",
"\"WEB\""
]
integrationIdstring Required
Unique integration identifier.
ExampleUP-12345678-99
orderItems Array of object (OrderItem) Required
A list of order reservations.
object
Only one detail type per line.
OneOfAirDetailsobject (AirDetails)airobject (AirReservation) idstring | null
Do not send or set to null in request.
Example
airlineNamestring
Full airline name (recommended for third-party providers).
ExampleSample Airlines
insurance Array of object (Insurance)
Insurance details.
object
Insurance.
externalIdstring
Unique insurance identifier.
pricestring
Insurance price in dollar format.
Example100.12
types Array of string
List of insurance types.
string Valid values[
"\"BANKRUPTCY\"",
"\"CANCELLATION\"",
"\"TRAVEL\""
]
itinerary Array of object (AirSegment) Required
Reservation itinerary details. If there are multiple itinerary segments, order the segments chronologically (earliest to latest departureDate).
object arrivalApcstring Required
Arrival airport code in IATA 3-letter format.
ExampleJFK
arrivalCitystring
Arrival city.
ExampleNew York City
arrivalDatestring (date)
Arrival date in YYYY-MM-DD format.
Example2024-10-12
carrierCodestring
Airline code in IATA 2-letter format.
ExampleAI
departureApcstring Required
Departure airport code in IATA 3-letter format.
ExampleLGA
departureCitystring
Departure city.
ExampleLos Angeles
departureDatestring (date) Required
Departure date in YYYY-MM-DD format.
Example2024-10-12
ticketTypestring
Ticket type.
Valid values[
"\"DIGITAL\"",
"\"PHONE\"",
"\"PICK_UP\"",
"\"POST\""
]
fareClassstring
Fare class type.
Examplefirst class
supplierstring
Supplier name (recommended for third-party providers). Use the full airline name.
ExampleSample Airlines
pricestring
Total reservation amount in dollar format.
Example100.13
reservationTypestring
Reservation type.
Valid values[
"\"OPAQUE\"",
"\"PRE_PAID\"",
"\"STANDARD\""
]
tripTypestring
Trip type.
Valid values[
"\"ONEWAY\"",
"\"OPEN_JAW\"",
"\"ROUNDTRIP\""
]
CruiseDetailsobject (CruiseDetails)cruiseobject (CruiseReservation)
Cruise reservation.
idstring | null
Do not send or set to null in request.
Example
addOns Array of object (CruiseAddon)
List of cruise addons.
object
Cruise addon.
namestring
Addon name.
pricestring
Addon price in dollar format.
Example100.13
brandstring
Reservation brand name (recommended for third-party providers). Use full cruise line name.
cruiseDurationstring
Cruise duration in days.
Example10
cruiseLinestring
Cruise line name.
disembarkDatestring (date)
Disembark date in YYYY-MM-DD format.
Example2024-10-12
embarkDatestring (date) Required
Embark date in YYYY-MM-DD format.
Example2024-10-12
insurance Array of object (Insurance)
Insurance details.
object
Insurance.
externalIdstring
Unique insurance identifier.
pricestring
Insurance price in dollar format.
Example100.12
types Array of string
List of insurance types.
string Valid values[
"\"BANKRUPTCY\"",
"\"CANCELLATION\"",
"\"TRAVEL\""
]
itinerary Array of object (CruiseSegment) Required
Reservation itinerary. If there are multiple itinerary segments, order them chronologically (earliest to latest departureDate).
object
Cruise segment.
activities Array of object (CruiseActivity)
Booked reservation activities.
object
Cruise activity.
datestring (date)
Activity date in YYYY-MM-DD format.
Example2024-10-12
namestring
Activity name.
pricestring
Activity price in dollar format.
Example100.13
arrivalDatestring (date)
Scheduled arrival date in YYYY-MM-DD format.
Example2024-10-12
arrivalPortstring
Arrival port name.
ExampleAlaska
departureDatestring (date) Required
Departure date in YYYY-MM-DD format.
Example2024-10-12
departurePortstring
Departure port name.
ExampleMiami
rooms Array of object (CruiseCabin)
List of cruise cabins.
object
Cruise cabin.
berthedTypestring
Cabin bed arrangement.
cabinTypestring
Cabin type.
deckNumberstring
Cabin stateroom deck number.
diningServicestring
Cabin dining service.
stateRoomNumberstring
Cabin stateroom number.
stateRoomTypestring
Cabin stateroom type.
shipCodestring
Ship code.
supplierstring
Supplier name (recommended for third-party providers). Use full cruise line name.
Examplecarnival
voyageIdstring
Specific voyage identifier.
EventTicketDetailsobject (EventTicketDetails)eventTicketobject (EventTicket)
Event ticket.
idstring | null
Do not send or set to null in request.
Example
endDatestring (date)
Event end date in YYYY-MM-DD format.
Example2024-10-12
eventNamestring
Event name.
extras Array of object (Extra)
List of event extras.
object
Extra.
externalIdstring
Unique extra identifier.
namestring
Extra name.
pricestring
Extra price in dollar format.
Example100.13
hoststring
Event host.
insurance Array of object (Insurance)
Insurance details.
object
Insurance.
externalIdstring
Unique insurance identifier.
pricestring
Insurance price in dollar format.
Example100.12
types Array of string
List of insurance types.
string Valid values[
"\"BANKRUPTCY\"",
"\"CANCELLATION\"",
"\"TRAVEL\""
]
locationobject (Location)
Location details.
citystring ExampleLos Angeles
countrystring
2-letter ISO 3166-2 country code
ExampleUS
postalCodestring
Numerical (US)/alpha-numerical (CA) postal or zip code.
Example99999
regionstring
State/province in standard 2-letter format.
ExampleCA
streetAddressstring
quantitystring
Number of tickets purchased.
Example1
referenceIdstring
Event ticket reference identifier.
startDatestring (date) Required
Event start date in YYYY-MM-DD format.
Example2024-10-12
typestring
Event type.
unitPricestring
Price per ticket in dollar format.
Example100.13
venueNamestring
Event venue name.
OrderLineDetailsobject (OrderLineDetails)orderLineobject (OrderLine)
Product item.
idstring | null
Do not send or set to null in request.
Example
namestring
Product name.
quantitystring
Product quantity.
Example1
skustring
Product SKU.
typestring
Product type.
Valid values[
"\"DIGITAL\"",
"\"DISCOUNT\"",
"\"FEE\"",
"\"GIFT_CARD\"",
"\"PHYSICAL\"",
"\"SALES_TAX\"",
"\"SHIPPING_FEE\"",
"\"STORE_CREDIT\"",
"\"SURCHARGE\"",
"\"TRAVEL\""
]
unitPricestring
Product unit price in dollar format.
Example100.13
referencestring
Product reference information - use this field for any additional information to be captured for reporting.
HotelDetailsobject (HotelDetails)hotelobject (HotelReservation)
Hotel reservation.
idstring | null
Do not send or set to null in request.
Example
brandstring
Hotel brand name.
checkInDatestring (date) Required
Check-in date in YYYY-MM-DD format.
Example2024-10-12
checkOutDatestring (date)
Check-out date in YYYY-MM-DD format.
Example2024-10-12
hotelNamestring Required
Hotel name.
insurance Array of object (Insurance)
Insurance details.
object
Insurance.
externalIdstring
Unique insurance identifier.
pricestring
Insurance price in dollar format.
Example100.12
types Array of string
List of insurance types.
string Valid values[
"\"BANKRUPTCY\"",
"\"CANCELLATION\"",
"\"TRAVEL\""
]
numberOfRoomsstring
Reservation number of rooms.
Example2
pricestring
Reservation price in dollar format.
Example100.13
propertyCodestring
Hotel property code.
reservationTypestring
Reservation type.
Valid values[
"\"OPAQUE\"",
"\"PRE_PAID\"",
"\"STANDARD\""
]
supplierstring
Supplier name (recommended for third-party providers). Use full hotel brand name.
ticketTypestring
Ticket type.
Valid values[
"\"DIGITAL\"",
"\"PHONE\"",
"\"PICK_UP\"",
"\"POST\""
]
SubscriptionDetailsobject (SubscriptionDetails)subscriptionobject (Subscription)
Subscription.
idstring | null
Do not send or set to null in request.
Example
activeDatestring (date) Required
Subscription active date in YYYY-MM-DD format.
Example2024-10-12
expireDatestring (date)
Subscription expiration date in YYYY-MM-DD format.
Example2024-10-12
namestring
Subscription name.
renewboolean
Whether the subscription is automatic renewal.
renewDatestring (date)
Subscription renew date in YYYY-MM-DD format.
Example2024-10-12
purchaseSitestring
Subscription purchase website.
quantitystring
Subscription quantity.
Example1
typestring
Subscription type.
unitPricestring
Price per subscription in dollar format.
Example100.13
upgradedboolean
Whether the purchase is an upgrade for an existing subscription.
RentalDetailsobject (RentalDetails)rentalobject (Rental)
Rental.
idstring | null
Do not send or set to null in request.
Example
agencystring
Rental agency name.
endDatestring (date)
Rental end date in YYYY-MM-DD format.
Example2024-10-12
extras Array of object (Extra)
List of rental extras.
object
Extra.
externalIdstring
Unique extra identifier.
namestring
Extra name.
pricestring
Extra price in dollar format.
Example100.13
insurance Array of object (Insurance)
Insurance details.
object
Insurance.
externalIdstring
Unique insurance identifier.
pricestring
Insurance price in dollar format.
Example100.12
types Array of string
List of insurance types.
string Valid values[
"\"BANKRUPTCY\"",
"\"CANCELLATION\"",
"\"TRAVEL\""
]
quantitystring
Number of rental items.
Example1
referenceIdstring
Rental agency-specific reference ID.
rentalItems Array of object (RentalItem)
List of rental items.
object
Rental item details.
namestring
Item name.
pricestring
Item price in dollar format.
Example100.13
startDatestring (date) Required
Rental start date in YYYY-MM-DD format.
Example2024-10-12
typestring
Rental type or item.
unitPricestring
Rental price per unit in dollar format.
Example100.13
localizationobject (Localization) Required
Order localization details.
countrystring Required
Localization countries.
Valid values[
"\"US\"",
"\"CA\""
]
currencystring Required
Localization currencies.
Valid values[
"\"USD\"",
"\"CAD\""
]
localestring Required
Localization locales.
Valid values[
"\"en-US\"",
"\"en-CA\"",
"\"fr-CA\""
]
pathstring
Location of the targeted display.
ExampleMain booking path
pricestring Required
Total order amount in dollar format.
Example1000.13
points Array of object (Points)
List of point details (e.g. loyalty).
object
Amount of Points/Miles used to pay for the current transaction. The member may not be one of the traveler.
pointsTypestring
Points type or category.
originalOrderAmountstring
If applicable, the original amount of the transaction (cash amount) before the member applied Points/Miles to the transaction.
Example100.13
supplierCodestring
Supplier code.
ExampleSC-12345678-9
campaignAttributes Array of object (CampaignAttribute)
List of targeted campaign attributes.
object
Optional targeted campaign attribute.
namestring Required
Campaign attribute name.
Examplemerchant_field_1
valuestring Required
Campaign attribute value.
Examplesubvention
travelers Array of object (Person)
List of travelers.
object
Traveler details.
idstring | null
Do not send or set to null in request.
Example
firstNamestring
lastNamestring
titlestring
Traveler title.
Valid values[
"\"DR\"",
"\"MISS\"",
"\"MR\"",
"\"MRS\"",
"\"MS\""
]
dateOfBirthstring (date)
Traveler date of birth in YYYY-MM-DD format.
Example1996-10-21
loyaltyobject
Details about loyalty programs for the applicant.
memberIdstring
The member's loyalty program ID.
ExampleBA7854365
namestring
The name of the loyalty program.
ExampleMarriott Bonvoy, AAdvantage, Rapid Rewards, SkyMiles
typestring
The currency used by the loyalty program.
ExampleMiles, Points, KrisFlyer Miles, Avios
tierLevelstring
The tier level of the member.
ExampleSilver, Gold, Titanium, President’s Circle
tierExpirationstring (date)
The expiration of the member's tier level - last day of validity, if any.
Example2024-10-12
memberFirstNamestring
The first name of the member. This is used if the loyalty member is different from the customer (E.g., providing someone else’s loyalty account).
ExampleLaura Mary
memberLastNamestring
The last name of the member.
ExampleSmith
memberDateOfBirthstring (date)
The date of birth of the member.
Example2024-10-12
cobrandCardholderstring
The name of the card held by the member.
ExampleBritish Airways Visa Signature, Hilton Honors American Express, Marriott Bonvoy Boundless
loyaltyRewardsstring
Amount of Points/Miles remaining in the member’s loyalty account after the transaction. The member may not be one of the travelers.
Example10
pointsEarnedstring
Amount of Points/Miles accrued with the current transaction, if any.
Example1002
dateLastActivestring (date)
Date of the member’s most recent loyalty activity.
Example2024-10-12
numOfTravelersInclMinorsinteger | null
Total number of travelers including minors
Responses200
Successful order response
Expand Allobject addOns Array of object
List of addons.
object externalIdstring
Unique addon identifier.
namestring
Addon name.
pricestring
Addon price in dollar format.
Example100.13
billingContactobject (BillingContact) citystring
Billing contact city.
ExampleNew York City
countrystring
Billing contact country.
Valid values[
"\"US\"",
"\"CA\""
]
dateOfBirthstring (date)
Billing contact date of birth in YYYY-MM-DD format.
Example1996-10-21
emailstring
Billing contact email.
Examplesample@flexpay.com
firstNamestring
Billing contact first name.
ExampleArthur
lastNamestring
Billing contact last name.
ExampleDavis
middleNamestring
Billing contact middle name.
ExampleMiddle
phonestring
Billing contact phone number.
Example5555551444
postalCodestring
Billing contact numerical (US)/alpha-numerical (CA) postal or zip code.
Example99999
regionstring
Billing contact state/province in standard 2-letter format.
ExampleKY
streetAddressstring
Billing contact street address.
Example1013 Weda Cir
titlestring
Billing contact title.
Valid values[
"\"DR\"",
"\"MISS\"",
"\"MR\"",
"\"MRS\"",
"\"MS\""
]
merchantConfigobject (MerchantConfig)
Contains merchant specific configurations
cancelUrlstring
The merchant cancel URL to redirect to if the application is unsuccessful.
confirmationUrlstring
The merchant confirmation URL to redirect to after the application is completed through the Uplift domain.
confirmationIdstring | null
Confirmation ID for the order
channelstring
Request channel.
Valid values[
"\"APP\"",
"\"MOBILE_WEB\"",
"\"WEB\""
]
integrationIdstring
Unique integration identifier.
ExampleUP-12345678-99
orderItems Array of object (OrderItem)
A list of order reservations.
object
Only one detail type per line.
OneOfAirDetailsobject (AirDetails)airobject (AirReservation) idstring | null
Do not send or set to null in request.
Example
airlineNamestring
Full airline name (recommended for third-party providers).
ExampleSample Airlines
insurance Array of object (Insurance)
Insurance details.
object
Insurance.
externalIdstring
Unique insurance identifier.
pricestring
Insurance price in dollar format.
Example100.12
types Array of string
List of insurance types.
string Valid values[
"\"BANKRUPTCY\"",
"\"CANCELLATION\"",
"\"TRAVEL\""
]
itinerary Array of object (AirSegment)
Reservation itinerary details. If there are multiple itinerary segments, order the segments chronologically (earliest to latest departureDate).
object arrivalApcstring
Arrival airport code in IATA 3-letter format.
ExampleJFK
arrivalCitystring
Arrival city.
ExampleNew York City
arrivalDatestring (date)
Arrival date in YYYY-MM-DD format.
Example2024-10-12
carrierCodestring
Airline code in IATA 2-letter format.
ExampleAI
departureApcstring
Departure airport code in IATA 3-letter format.
ExampleLGA
departureCitystring
Departure city.
ExampleLos Angeles
departureDatestring (date)
Departure date in YYYY-MM-DD format.
Example2024-10-12
ticketTypestring
Ticket type.
Valid values[
"\"DIGITAL\"",
"\"PHONE\"",
"\"PICK_UP\"",
"\"POST\""
]
fareClassstring
Fare class type.
Examplefirst class
supplierstring
Supplier name (recommended for third-party providers). Use the full airline name.
ExampleSample Airlines
pricestring
Total reservation amount in dollar format.
Example100.13
reservationTypestring
Reservation type.
Valid values[
"\"OPAQUE\"",
"\"PRE_PAID\"",
"\"STANDARD\""
]
tripTypestring
Trip type.
Valid values[
"\"ONEWAY\"",
"\"OPEN_JAW\"",
"\"ROUNDTRIP\""
]
CruiseDetailsobject (CruiseDetails)cruiseobject (CruiseReservation)
Cruise reservation.
idstring | null
Do not send or set to null in request.
Example
addOns Array of object (CruiseAddon)
List of cruise addons.
object
Cruise addon.
namestring
Addon name.
pricestring
Addon price in dollar format.
Example100.13
brandstring
Reservation brand name (recommended for third-party providers). Use full cruise line name.
cruiseDurationstring
Cruise duration in days.
Example10
cruiseLinestring
Cruise line name.
disembarkDatestring (date)
Disembark date in YYYY-MM-DD format.
Example2024-10-12
embarkDatestring (date)
Embark date in YYYY-MM-DD format.
Example2024-10-12
insurance Array of object (Insurance)
Insurance details.
object
Insurance.
externalIdstring
Unique insurance identifier.
pricestring
Insurance price in dollar format.
Example100.12
types Array of string
List of insurance types.
string Valid values[
"\"BANKRUPTCY\"",
"\"CANCELLATION\"",
"\"TRAVEL\""
]
itinerary Array of object (CruiseSegment)
Reservation itinerary. If there are multiple itinerary segments, order them chronologically (earliest to latest departureDate).
object
Cruise segment.
activities Array of object (CruiseActivity)
Booked reservation activities.
object
Cruise activity.
datestring (date)
Activity date in YYYY-MM-DD format.
Example2024-10-12
namestring
Activity name.
pricestring
Activity price in dollar format.
Example100.13
arrivalDatestring (date)
Scheduled arrival date in YYYY-MM-DD format.
Example2024-10-12
arrivalPortstring
Arrival port name.
ExampleAlaska
departureDatestring (date)
Departure date in YYYY-MM-DD format.
Example2024-10-12
departurePortstring
Departure port name.
ExampleMiami
rooms Array of object (CruiseCabin)
List of cruise cabins.
object
Cruise cabin.
berthedTypestring
Cabin bed arrangement.
cabinTypestring
Cabin type.
deckNumberstring
Cabin stateroom deck number.
diningServicestring
Cabin dining service.
stateRoomNumberstring
Cabin stateroom number.
stateRoomTypestring
Cabin stateroom type.
shipCodestring
Ship code.
supplierstring
Supplier name (recommended for third-party providers). Use full cruise line name.
Examplecarnival
voyageIdstring
Specific voyage identifier.
EventTicketDetailsobject (EventTicketDetails)eventTicketobject (EventTicket)
Event ticket.
idstring | null
Do not send or set to null in request.
Example
endDatestring (date)
Event end date in YYYY-MM-DD format.
Example2024-10-12
eventNamestring
Event name.
extras Array of object (Extra)
List of event extras.
object
Extra.
externalIdstring
Unique extra identifier.
namestring
Extra name.
pricestring
Extra price in dollar format.
Example100.13
hoststring
Event host.
insurance Array of object (Insurance)
Insurance details.
object
Insurance.
externalIdstring
Unique insurance identifier.
pricestring
Insurance price in dollar format.
Example100.12
types Array of string
List of insurance types.
string Valid values[
"\"BANKRUPTCY\"",
"\"CANCELLATION\"",
"\"TRAVEL\""
]
locationobject (Location)
Location details.
citystring ExampleLos Angeles
countrystring
2-letter ISO 3166-2 country code
ExampleUS
postalCodestring
Numerical (US)/alpha-numerical (CA) postal or zip code.
Example99999
regionstring
State/province in standard 2-letter format.
ExampleCA
streetAddressstring
quantitystring
Number of tickets purchased.
Example1
referenceIdstring
Event ticket reference identifier.
startDatestring (date)
Event start date in YYYY-MM-DD format.
Example2024-10-12
typestring
Event type.
unitPricestring
Price per ticket in dollar format.
Example100.13
venueNamestring
Event venue name.
OrderLineDetailsobject (OrderLineDetails)orderLineobject (OrderLine)
Product item.
idstring | null
Do not send or set to null in request.
Example
namestring
Product name.
quantitystring
Product quantity.
Example1
skustring
Product SKU.
typestring
Product type.
Valid values[
"\"DIGITAL\"",
"\"DISCOUNT\"",
"\"FEE\"",
"\"GIFT_CARD\"",
"\"PHYSICAL\"",
"\"SALES_TAX\"",
"\"SHIPPING_FEE\"",
"\"STORE_CREDIT\"",
"\"SURCHARGE\"",
"\"TRAVEL\""
]
unitPricestring
Product unit price in dollar format.
Example100.13
referencestring
Product reference information - use this field for any additional information to be captured for reporting.
HotelDetailsobject (HotelDetails)hotelobject (HotelReservation)
Hotel reservation.
idstring | null
Do not send or set to null in request.
Example
brandstring
Hotel brand name.
checkInDatestring (date)
Check-in date in YYYY-MM-DD format.
Example2024-10-12
checkOutDatestring (date)
Check-out date in YYYY-MM-DD format.
Example2024-10-12
hotelNamestring
Hotel name.
insurance Array of object (Insurance)
Insurance details.
object
Insurance.
externalIdstring
Unique insurance identifier.
pricestring
Insurance price in dollar format.
Example100.12
types Array of string
List of insurance types.
string Valid values[
"\"BANKRUPTCY\"",
"\"CANCELLATION\"",
"\"TRAVEL\""
]
numberOfRoomsstring
Reservation number of rooms.
Example2
pricestring
Reservation price in dollar format.
Example100.13
propertyCodestring
Hotel property code.
reservationTypestring
Reservation type.
Valid values[
"\"OPAQUE\"",
"\"PRE_PAID\"",
"\"STANDARD\""
]
supplierstring
Supplier name (recommended for third-party providers). Use full hotel brand name.
ticketTypestring
Ticket type.
Valid values[
"\"DIGITAL\"",
"\"PHONE\"",
"\"PICK_UP\"",
"\"POST\""
]
SubscriptionDetailsobject (SubscriptionDetails)subscriptionobject (Subscription)
Subscription.
idstring | null
Do not send or set to null in request.
Example
activeDatestring (date)
Subscription active date in YYYY-MM-DD format.
Example2024-10-12
expireDatestring (date)
Subscription expiration date in YYYY-MM-DD format.
Example2024-10-12
namestring
Subscription name.
renewboolean
Whether the subscription is automatic renewal.
renewDatestring (date)
Subscription renew date in YYYY-MM-DD format.
Example2024-10-12
purchaseSitestring
Subscription purchase website.
quantitystring
Subscription quantity.
Example1
typestring
Subscription type.
unitPricestring
Price per subscription in dollar format.
Example100.13
upgradedboolean
Whether the purchase is an upgrade for an existing subscription.
RentalDetailsobject (RentalDetails)rentalobject (Rental)
Rental.
idstring | null
Do not send or set to null in request.
Example
agencystring
Rental agency name.
endDatestring (date)
Rental end date in YYYY-MM-DD format.
Example2024-10-12
extras Array of object (Extra)
List of rental extras.
object
Extra.
externalIdstring
Unique extra identifier.
namestring
Extra name.
pricestring
Extra price in dollar format.
Example100.13
insurance Array of object (Insurance)
Insurance details.
object
Insurance.
externalIdstring
Unique insurance identifier.
pricestring
Insurance price in dollar format.
Example100.12
types Array of string
List of insurance types.
string Valid values[
"\"BANKRUPTCY\"",
"\"CANCELLATION\"",
"\"TRAVEL\""
]
quantitystring
Number of rental items.
Example1
referenceIdstring
Rental agency-specific reference ID.
rentalItems Array of object (RentalItem)
List of rental items.
object
Rental item details.
namestring
Item name.
pricestring
Item price in dollar format.
Example100.13
startDatestring (date)
Rental start date in YYYY-MM-DD format.
Example2024-10-12
typestring
Rental type or item.
unitPricestring
Rental price per unit in dollar format.
Example100.13
localizationobject (Localization)
Order localization details.
countrystring
Localization countries.
Valid values[
"\"US\"",
"\"CA\""
]
currencystring
Localization currencies.
Valid values[
"\"USD\"",
"\"CAD\""
]
localestring
Localization locales.
Valid values[
"\"en-US\"",
"\"en-CA\"",
"\"fr-CA\""
]
pathstring
Location of the targeted display.
ExampleMain booking path
pricestring
Total order amount in dollar format.
Example1000.13
points Array of object (Points)
List of point details (e.g. loyalty).
object
Amount of Points/Miles used to pay for the current transaction. The member may not be one of the traveler.
pointsTypestring
Points type or category.
originalOrderAmountstring
If applicable, the original amount of the transaction (cash amount) before the member applied Points/Miles to the transaction.
Example100.13
supplierCodestring
Supplier code.
ExampleSC-12345678-9
campaignAttributes Array of object (CampaignAttribute)
List of targeted campaign attributes.
object
Optional targeted campaign attribute.
namestring
Campaign attribute name.
Examplemerchant_field_1
valuestring
Campaign attribute value.
Examplesubvention
travelers Array of object (Person)
List of travelers.
object
Traveler details.
idstring | null
Do not send or set to null in request.
Example
firstNamestring
lastNamestring
titlestring
Traveler title.
Valid values[
"\"DR\"",
"\"MISS\"",
"\"MR\"",
"\"MRS\"",
"\"MS\""
]
dateOfBirthstring (date)
Traveler date of birth in YYYY-MM-DD format.
Example1996-10-21
loyaltyobject
Details about loyalty programs for the applicant.
memberIdstring
The member's loyalty program ID.
ExampleBA7854365
namestring
The name of the loyalty program.
ExampleMarriott Bonvoy, AAdvantage, Rapid Rewards, SkyMiles
typestring
The currency used by the loyalty program.
ExampleMiles, Points, KrisFlyer Miles, Avios
tierLevelstring
The tier level of the member.
ExampleSilver, Gold, Titanium, President’s Circle
tierExpirationstring (date)
The expiration of the member's tier level - last day of validity, if any.
Example2024-10-12
memberFirstNamestring
The first name of the member. This is used if the loyalty member is different from the customer (E.g., providing someone else’s loyalty account).
ExampleLaura Mary
memberLastNamestring
The last name of the member.
ExampleSmith
memberDateOfBirthstring (date)
The date of birth of the member.
Example2024-10-12
cobrandCardholderstring
The name of the card held by the member.
ExampleBritish Airways Visa Signature, Hilton Honors American Express, Marriott Bonvoy Boundless
loyaltyRewardsstring
Amount of Points/Miles remaining in the member’s loyalty account after the transaction. The member may not be one of the travelers.
Example10
pointsEarnedstring
Amount of Points/Miles accrued with the current transaction, if any.
Example1002
dateLastActivestring (date)
Date of the member’s most recent loyalty activity.
Example2024-10-12
numOfTravelersInclMinorsinteger | null
Total number of travelers including minors
idstring | null
Do not send or set to null in request.
Example
errorCodes Array of string (OrderErrorCodes) | null
List of error codes when attempting to generate an offer. Do not send in request.
string
Possible error codes when attempting to generate offers for an order.
Valid values[
"\"INVALID_AIR_RESERVATION\"",
"\"INVALID_BILLING_CONTACT\"",
"\"INVALID_COUNTRY\"",
"\"INVALID_CURRENCY\"",
"\"INVALID_LOCALE\"",
"\"MAX_BOOKING_WINDOW\"",
"\"MAX_PRICE\"",
"\"MIN_BOOKING_WINDOW\"",
"\"MIN_PRICE\"",
"\"MISSING_PRODUCT\"",
"\"MISSING_TRAVEL_RESERVATION\"",
"\"NO_OFFERS\""
]
paymentobject (Payment)
Payment details.
cardobject (Card)
Card details for merchant payout
idstring | null
Do not send or set to null in request.
ccvstring Example123
expirationMonthinteger Example12
nameOnCardstring ExampleArthur Davis
expirationYearinteger Example2027
numberstring Example5431111111111111
contactobject postalCodestring Example99999
emailstring Examplearthur@flexpay.com
firstNamestring ExampleArthur
phonestring Example5555551749
citystring ExampleMayfield
regionstring ExampleKY
lastNamestring ExampleDavis
streetAddressstring Example1013 Weda Cir
countrystring ExampleUS
typestring Valid values[
"\"VISA\"",
"\"MASTERCARD\"",
"\"UATP\""
]
tokenstring
additionalTokensobject instrumentTokenstring
maskedCcstring
aliasCvvstring
uppCvvExpirationDatestring (date) Example2026-10-12
binstring
errorCodestring
Error code for unsuccessful but valid payment requests.
Valid values[
"\"LOAN_NOT_ACCEPTED\""
]
statusstring | null
Order status code.
Valid values[
"\"ERROR\"",
"\"LOAN_ACCEPTED\"",
"\"OFFER_SELECTED\"",
"\"OFFERS_GENERATED\"",
"\"ORDER_CREATED\"",
"\"SESSION_EXPIRED\""
]
redirectUrlstring | null
The redirect url for the application
400
Bad Request
object codeNamestring ExampleINVALID_REQUEST_ERROR
messagestring Examplefield required
statusCodeinteger Example400
paramstring Examplebody.integrationId
401
Unauthorized
object codeNamestring ExampleINVALID_REQUEST_ERROR
messagestring ExampleUnauthorized
statusCodeinteger Example401
403
Access Denied
object codeNamestring ExampleINVALID_REQUEST_ERROR
messagestring ExampleAccess Denied
statusCodeinteger Example403
405
Method Not Allowed
object codeNamestring ExampleINVALID_REQUEST_ERROR
messagestring ExampleMethod Not Allowed
statusCodeinteger Example405
408
Request Timeout
object codeNamestring ExampleAPI_TIMEOUT
messagestring ExampleRequest Timeout
statusCodeinteger Example408
500
Internal Server Error
object codeNamestring ExampleAPI_ERROR
messagestring ExampleInternal Server Error
statusCodeinteger Example500